Important
New database features are no longer connected to engine versions; features are now enabled independently during scheduled update windows, and “major” and “minor” releases no longer exist in Helios. Please visit the release notes to view the latest features available in your database clusters.
jwks_ setup
On this page
Endpoint URL
/api/v2/jwks_
HTTP Method
POST
Description
Triggers update of the JWKS used by the Data API.jwks_ to authenticate requests to the API.
Request Headers
|
Header |
Description |
|---|---|
|
Authorization |
Specifies the authentication information of the user agent. |
Request Body
The POST /api/v2/jwks_ request does not require a request body.
Response
For successful requests, the response will be an empty message body along with the HTTP status code 200 OK.
On request failure, an HTTP status code corresponding to the error will be returned.
Example (Shell)
Here's a sample cURL command that triggers the JWKS update using the /api/v2/jwks_ endpoint:
curl -X POST -u "admin:YourPassword" https://svc-10444e3f-afeb-46be-b186-a8c6b499f726-dml.aws-ireland-1.svc.singlestore.com/api/v2/jwks_setup
Last modified: